## opennebula 3.2.1

=== SConstruct ===
# -------------------------------------------------------------------------- #
# Copyright 2002-2012, OpenNebula Project Leads (OpenNebula.org)             #
#                                                                            #
# Licensed under the Apache License, Version 2.0 (the "License"); you may    #
# not use this file except in compliance with the License. You may obtain    #
# a copy of the License at                                                   #
#                                                                            #
# http://www.apache.org/licenses/LICENSE-2.0                                 #
#                                                                            #
# Unless required by applicable law or agreed to in writing, software        #
# distributed under the License is distributed on an "AS IS" BASIS,          #
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.   #
# See the License for the specific language governing permissions and        #
# limitations under the License.                                             #
#--------------------------------------------------------------------------- #

import os
import sys
import shutil
sys.path.append("./share/scons")
from lex_bison import *

# This is the absolute path where the project is located
cwd=os.getcwd()

# Environment that will be applied to each scons child
main_env=Environment()
main_env['ENV']['PATH']=os.environ['PATH']

# snippet borrowed from http://dev.gentoo.org/~vapier/scons-blows.txt
# makes scons aware of build related environment variables
if os.environ.has_key('CC'):
    main_env['CC'] = os.environ['CC']
if os.environ.has_key('CFLAGS'):
    main_env['CCFLAGS'] += SCons.Util.CLVar(os.environ['CFLAGS'])
if os.environ.has_key('CXX'):
    main_env['CXX'] = os.environ['CXX']
if os.environ.has_key('CXXFLAGS'):
    main_env['CXXFLAGS'] += SCons.Util.CLVar(os.environ['CXXFLAGS'])
if os.environ.has_key('LDFLAGS'):
    main_env['LINKFLAGS'] += SCons.Util.CLVar(os.environ['LDFLAGS'])
else:
    os.environ['LDFLAGS']=""

# Add builders for flex and bison
add_lex(main_env)
add_bison(main_env)

# Include dirs
main_env.Append(CPPPATH=[
    cwd+'/include',
])

# Library dirs
main_env.Append(LIBPATH=[
    cwd+'/src/common',
    cwd+'/src/log',
    cwd+'/src/sql',
    cwd+'/src/host',
    cwd+'/src/group',
    cwd+'/src/mad',
    cwd+'/src/nebula',
    cwd+'/src/pool',
    cwd+'/src/template',
    cwd+'/src/vm',
    cwd+'/src/vm_template',
    cwd+'/src/vmm',
    cwd+'/src/lcm',
    cwd+'/src/tm',
    cwd+'/src/dm',
    cwd+'/src/im',
    cwd+'/src/image',
    cwd+'/src/rm',
    cwd+'/src/vnm',
    cwd+'/src/hm',
    cwd+'/src/um',
    cwd+'/src/authm',
    cwd+'/src/acl',
    cwd+'/src/xml',
])

# Compile flags
main_env.Append(CPPFLAGS=[
    "-g",
    "-Wall"
])

# Linking flags
main_env.Append(LINKFLAGS=['-g', '-pthread'])

#######################
# EXTRA CONFIGURATION #
#######################

# SQLITE
sqlite_dir=ARGUMENTS.get('sqlite_dir', 'none')
if sqlite_dir!='none':
    main_env.Append(LIBPATH=[sqlite_dir+"/lib"])
    main_env.Append(CPPPATH=[sqlite_dir+"/include"])

sqlite=ARGUMENTS.get('sqlite', 'yes')
if sqlite=='yes':
    main_env.Append(sqlite='yes')
    main_env.Append(CPPFLAGS=["-DSQLITE_DB"])
    main_env.Append(LIBS=['sqlite3'])
else:
    main_env.Append(sqlite='no')

# MySQL
mysql=ARGUMENTS.get('mysql', 'no')
if mysql=='yes':
    main_env.Append(mysql='yes')
    main_env.Append(CPPFLAGS=["-DMYSQL_DB"])
    main_env.Append(LIBS=['mysqlclient'])
else:
    main_env.Append(mysql='no')

# xmlrpc
xmlrpc_dir=ARGUMENTS.get('xmlrpc', 'none')
if xmlrpc_dir!='none':
    main_env.Append(LIBPATH=[xmlrpc_dir+"/lib"])
    main_env.Append(CPPPATH=[xmlrpc_dir+"/include"])

# build lex/bison
build_parsers=ARGUMENTS.get('parsers', 'no')
if build_parsers=='yes':
    main_env.Append(parsers='yes')
else:
    main_env.Append(parsers='no')

if not main_env.GetOption('clean'):
    try:
        if mysql=='yes':
            main_env.ParseConfig('mysql_config --cflags --libs')
    except Exception, e:
        print ""
        print "mysql_config was not found in the path"
        print ""
        print "Check that mysql development package is installed and"
        print "mysql_config is in the path. If your mysql config tool"
        print "is called mysql5_config make a symlink as mysql_config"
        print "to a directory in the path."
        print ""
        exit(-1)


    try:
        main_env.ParseConfig(("LDFLAGS='%s' share/scons/get_xmlrpc_config"+
            " server") % (os.environ['LDFLAGS'],))
        main_env.ParseConfig(("LDFLAGS='%s' share/scons/get_xmlrpc_config"+
            " client") % (os.environ['LDFLAGS'],))

    except Exception, e:
        print ""
        print "Error searching for xmlrpc-c libraries. Please check this"+\
            " things:"
        print ""
        print " * You have installed development libraries for xmlrpc-c. One"+\
            " way to check"
        print "   this is calling xmlrpc-c-config that is provided with the"+\
            " development"
        print "   package."
        print " * Check that the version of xmlrpc-c is at least 1.06. You"+\
            " can do this also"
        print "   calling:"
        print "   $ xmlrpc-c-config --version"
        print " * If all this requirements are already met please send log"+\
            " files located in"
        print "   .xmlrpc_test to the mailing list."
        print ""
        exit(-1)
else:
    main_env.Replace(mysql='yes')
    shutil.rmtree('.xmlrpc_test', True)
    shutil.rmtree('src/nebula/.xmlrpc_test', True)
    shutil.rmtree('src/scheduler/.xmlrpc_test', True)


# libxml2
main_env.ParseConfig('xml2-config --libs --cflags')


# SCONS scripts to build
build_scripts=[
    'src/sql/SConstruct',
    'src/log/SConstruct',
    'src/common/SConstruct',
    'src/template/SConstruct',
    'src/host/SConstruct',
    'src/group/SConstruct',
    'src/mad/SConstruct',
    'src/mad/utils/SConstruct',
    'src/nebula/SConstruct',
    'src/pool/SConstruct',
    'src/vm/SConstruct',
    'src/vm_template/SConstruct',
    'src/vmm/SConstruct',
    'src/lcm/SConstruct',
    'src/rm/SConstruct',
    'src/tm/SConstruct',
    'src/im/SConstruct',
    'src/image/SConstruct',
    'src/dm/SConstruct',
    'src/scheduler/SConstruct',
    'src/vnm/SConstruct',
    'src/hm/SConstruct',
    'src/um/SConstruct',
    'src/authm/SConstruct',
    'src/acl/SConstruct',
    'src/xml/SConstruct',
    'share/man/SConstruct'
]

# Testing
testing=ARGUMENTS.get('tests', 'no')

if testing=='yes':
    main_env.Append(testing='yes')

    main_env.ParseConfig('cppunit-config --cflags --libs')

    main_env.Append(CPPPATH=[
        cwd+'/include/test',
        '/usr/include/cppunit/' #not provided by cppunit-config command
    ])

    main_env.Append(LIBPATH=[
        cwd+'/src/test',
    ])

    main_env.Append(LIBS=[
        'nebula_test_common',
    ])

    build_scripts.extend([
        'src/authm/test/SConstruct',
        'src/common/test/SConstruct',
        'src/host/test/SConstruct',
        'src/group/test/SConstruct',
        'src/image/test/SConstruct',
        'src/lcm/test/SConstruct',
        'src/pool/test/SConstruct',
        'src/template/test/SConstruct',
        'src/test/SConstruct',
        'src/um/test/SConstruct',
        'src/vm/test/SConstruct',
        'src/vnm/test/SConstruct',
        'src/xml/test/SConstruct',
        'src/vm_template/test/SConstruct',
    ])
else:
    main_env.Append(testing='no')


for script in build_scripts:
    env=main_env.Clone()
    SConscript(script, exports='env')

=== share/man/SConstruct ===
# SConstruct for share/man

# -------------------------------------------------------------------------- #
# Copyright 2002-2012, OpenNebula Project Leads (OpenNebula.org)             #
#                                                                            #
# Licensed under the Apache License, Version 2.0 (the "License"); you may    #
# not use this file except in compliance with the License. You may obtain    #
# a copy of the License at                                                   #
#                                                                            #
# http://www.apache.org/licenses/LICENSE-2.0                                 #
#                                                                            #
# Unless required by applicable law or agreed to in writing, software        #
# distributed under the License is distributed on an "AS IS" BASIS,          #
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.   #
# See the License for the specific language governing permissions and        #
# limitations under the License.                                             #
#--------------------------------------------------------------------------- #

Import('env')

gzip_bld = Builder(action = 'gzip -c $SOURCE > $TARGET',
                   suffix = '.1.gz',
                   src_suffix = '.1')

env.Append(BUILDERS = {'Man' : gzip_bld})

env.Man('econe-describe-images')
env.Man('econe-describe-instances')
env.Man('econe-register')
env.Man('econe-run-instances')
env.Man('econe-terminate-instances')
env.Man('econe-upload')
env.Man('occi-compute')
env.Man('occi-network')
env.Man('occi-storage')
env.Man('oneacl')
env.Man('oneauth')
env.Man('onedb')
env.Man('onehost')
env.Man('oneimage')
env.Man('onetemplate')
env.Man('oneuser')
env.Man('onevm')
env.Man('onevnet')
env.Man('onegroup')
env.Man('onezone')
env.Man('onevdc')

=== src/nebula/SConstruct ===
# SConstruct for src/nebula

# -------------------------------------------------------------------------- #
# Copyright 2002-2012, OpenNebula Project Leads (OpenNebula.org)             #
#                                                                            #
# Licensed under the Apache License, Version 2.0 (the "License"); you may    #
# not use this file except in compliance with the License. You may obtain    #
# a copy of the License at                                                   #
#                                                                            #
# http://www.apache.org/licenses/LICENSE-2.0                                 #
#                                                                            #
# Unless required by applicable law or agreed to in writing, software        #
# distributed under the License is distributed on an "AS IS" BASIS,          #
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.   #
# See the License for the specific language governing permissions and        #
# limitations under the License.                                             #
#--------------------------------------------------------------------------- #

import os
Import('env')

lib_name='nebula_core'

# Sources to generate the library
source_files=[
    'Nebula.cc',
    'NebulaTemplate.cc',
]

# Build library
env.StaticLibrary(lib_name, source_files)

# Build daemon
env.Prepend(LIBS=[
    'nebula_core',
    'nebula_vmm',
    'nebula_lcm',
    'nebula_im',
    'nebula_hm',
    'nebula_rm',
    'nebula_dm',
    'nebula_tm',
    'nebula_um',
    'nebula_group',
    'nebula_authm',
    'nebula_acl',
    'nebula_mad',
    'nebula_template',
    'nebula_image',
    'nebula_pool',
    'nebula_host',
    'nebula_vnm',
    'nebula_vm',
    'nebula_vmtemplate',
    'nebula_common',
    'nebula_sql',
    'nebula_log',
    'nebula_xml',
    'crypto'
])

if not env.GetOption('clean'):
    env.ParseConfig(("LDFLAGS='%s' ../../share/scons/get_xmlrpc_config"+
        " server") % (os.environ['LDFLAGS'],))

env.Program('oned.cc')

=== src/rm/SConstruct ===
# SConstruct for src/rm

# -------------------------------------------------------------------------- #
# Copyright 2002-2012, OpenNebula Project Leads (OpenNebula.org)             #
#                                                                            #
# Licensed under the Apache License, Version 2.0 (the "License"); you may    #
# not use this file except in compliance with the License. You may obtain    #
# a copy of the License at                                                   #
#                                                                            #
# http://www.apache.org/licenses/LICENSE-2.0                                 #
#                                                                            #
# Unless required by applicable law or agreed to in writing, software        #
# distributed under the License is distributed on an "AS IS" BASIS,          #
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.   #
# See the License for the specific language governing permissions and        #
# limitations under the License.                                             #
#--------------------------------------------------------------------------- #

Import('env')

lib_name='nebula_rm'

#Sources to generate the library
source_files=[
    'Request.cc',
    'RequestManager.cc',
    'RequestManagerInfo.cc',
    'RequestManagerPoolInfoFilter.cc',
    'RequestManagerDelete.cc',
    'RequestManagerAllocate.cc',
    'RequestManagerVirtualNetwork.cc',
    'RequestManagerVirtualMachine.cc',
    'RequestManagerVMTemplate.cc',
    'RequestManagerUpdateTemplate.cc',
    'RequestManagerUser.cc',
    'RequestManagerHost.cc',
    'RequestManagerImage.cc',
    'RequestManagerChown.cc',
    'RequestManagerAcl.cc',
    'RequestManagerChmod.cc',
]

# Build library
env.StaticLibrary(lib_name, source_files)

=== src/authm/test/SConstruct ===
# Copyright 2002-2012, OpenNebula Project Leads (OpenNebula.org)             #
#                                                                            #
# Licensed under the Apache License, Version 2.0 (the "License"); you may    #
# not use this file except in compliance with the License. You may obtain    #
# a copy of the License at                                                   #
#                                                                            #
# http://www.apache.org/licenses/LICENSE-2.0                                 #
#                                                                            #
# Unless required by applicable law or agreed to in writing, software        #
# distributed under the License is distributed on an "AS IS" BASIS,          #
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.   #
# See the License for the specific language governing permissions and        #
# limitations under the License.                                             #
#--------------------------------------------------------------------------- #

Import('env')

env.Prepend(LIBS=[
    'nebula_core_test',
    'nebula_vmm',
    'nebula_lcm',
    'nebula_im',
    'nebula_hm',
    'nebula_rm',
    'nebula_dm',
    'nebula_tm',
    'nebula_um',
    'nebula_authm',
    'nebula_group',
    'nebula_acl',
    'nebula_mad',
    'nebula_template',
    'nebula_image',
    'nebula_pool',
    'nebula_host',
    'nebula_vnm',
    'nebula_vm',
    'nebula_vmtemplate',
    'nebula_common',
    'nebula_sql',
    'nebula_log',
    'nebula_xml',
    'crypto'
])

env.Program('test','AuthManagerTest.cc')

=== src/group/test/SConstruct ===
# --------------------------------------------------------------------------
# Copyright 2002-2012, OpenNebula Project Leads (OpenNebula.org)
#
# Licensed under the Apache License, Version 2.0 (the "License"); you may
# not use this file except in compliance with the License. You may obtain
# a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
# --------------------------------------------------------------------------

Import('env')

env.Prepend(LIBS=[
    'nebula_core_test',
    'nebula_vmm',
    'nebula_lcm',
    'nebula_im',
    'nebula_hm',
    'nebula_rm',
    'nebula_dm',
    'nebula_tm',
    'nebula_um',
    'nebula_group',
    'nebula_authm',
    'nebula_acl',
    'nebula_mad',
    'nebula_template',
    'nebula_image',
    'nebula_pool',
    'nebula_host',
    'nebula_vnm',
    'nebula_vm',
    'nebula_vmtemplate',
    'nebula_common',
    'nebula_sql',
    'nebula_log',
    'nebula_xml',
    'crypto'
])

env.Program('test','GroupPoolTest.cc')

=== src/host/test/SConstruct ===
# SConstruct for src/host/test

# -------------------------------------------------------------------------- #
# Copyright 2002-2012, OpenNebula Project Leads (OpenNebula.org)             #
#                                                                            #
# Licensed under the Apache License, Version 2.0 (the "License"); you may    #
# not use this file except in compliance with the License. You may obtain    #
# a copy of the License at                                                   #
#                                                                            #
# http://www.apache.org/licenses/LICENSE-2.0                                 #
#                                                                            #
# Unless required by applicable law or agreed to in writing, software        #
# distributed under the License is distributed on an "AS IS" BASIS,          #
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.   #
# See the License for the specific language governing permissions and        #
# limitations under the License.                                             #
#--------------------------------------------------------------------------- #

Import('env')

env.Prepend(LIBS=[
    'nebula_host',
    'nebula_core_test',
    'nebula_vmm',
    'nebula_lcm',
    'nebula_im',
    'nebula_hm',
    'nebula_rm',
    'nebula_dm',
    'nebula_tm',
    'nebula_um',
    'nebula_group',
    'nebula_authm',
    'nebula_acl',
    'nebula_mad',
    'nebula_template',
    'nebula_image',
    'nebula_pool',
    'nebula_vnm',
    'nebula_vm',
    'nebula_vmtemplate',
    'nebula_common',
    'nebula_sql',
    'nebula_log',
    'nebula_xml',
    'crypto'
])

env.Program('test','HostPoolTest.cc')
env.Program('test_hook','HostHookTest.cc')

=== src/image/test/SConstruct ===
# -------------------------------------------------------------------------- 
# Copyright 2002-2012, OpenNebula Project Leads (OpenNebula.org)            
#                                                                          
# Licensed under the Apache License, Version 2.0 (the "License"); you may 
# not use this file except in compliance with the License. You may obtain   
# a copy of the License at                                               
#                                                                          
# http://www.apache.org/licenses/LICENSE-2.0                              
#                                                                           
# Unless required by applicable law or agreed to in writing, software      
# distributed under the License is distributed on an "AS IS" BASIS,       
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and    
# limitations under the License.                                        
# -------------------------------------------------------------------------- 

Import('env')

env.Prepend(LIBS=[
    'nebula_core_test',
    'nebula_vmm',
    'nebula_lcm',
    'nebula_im',
    'nebula_hm',
    'nebula_rm',
    'nebula_dm',
    'nebula_tm',
    'nebula_um',
    'nebula_group',
    'nebula_authm',
    'nebula_acl',
    'nebula_mad',
    'nebula_template',
    'nebula_image',
    'nebula_pool',
    'nebula_host',
    'nebula_vnm',
    'nebula_vm',
    'nebula_vmtemplate',
    'nebula_common',
    'nebula_sql',
    'nebula_log',
    'nebula_xml',
    'crypto'
])

env.Program('test','ImagePoolTest.cc')

=== src/lcm/test/SConstruct ===
# SConstruct for src/lcm/test

# -------------------------------------------------------------------------- #
# Copyright 2002-2012, OpenNebula Project Leads (OpenNebula.org)             #
#                                                                            #
# Licensed under the Apache License, Version 2.0 (the "License"); you may    #
# not use this file except in compliance with the License. You may obtain    #
# a copy of the License at                                                   #
#                                                                            #
# http://www.apache.org/licenses/LICENSE-2.0                                 #
#                                                                            #
# Unless required by applicable law or agreed to in writing, software        #
# distributed under the License is distributed on an "AS IS" BASIS,          #
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.   #
# See the License for the specific language governing permissions and        #
# limitations under the License.                                             #
#--------------------------------------------------------------------------- #

Import('env')

env.Prepend(LIBS=[
    'nebula_core_test',
    'nebula_vmm',
    'nebula_lcm',
    'nebula_im',
    'nebula_hm',
    'nebula_rm',
    'nebula_dm',
    'nebula_tm',
    'nebula_um',
    'nebula_group',
    'nebula_authm',
    'nebula_acl',
    'nebula_mad',
    'nebula_template',
    'nebula_image',
    'nebula_pool',
    'nebula_host',
    'nebula_vnm',
    'nebula_vm',
    'nebula_vmtemplate',
    'nebula_common',
    'nebula_sql',
    'nebula_log',
    'nebula_xml',
    'crypto'
])

env.Program('test','LifeCycleManagerTest.cc')

=== src/mad/utils/SConstruct ===
# ---------------------------------------------------------------------------- #
# Copyright 2010-2011, C12G Labs S.L                                           #
#                                                                              #
# Licensed under the Apache License, Version 2.0 (the "License"); you may      #
# not use this file except in compliance with the License. You may obtain      #
# a copy of the License at                                                     #
#                                                                              #
# http://www.apache.org/licenses/LICENSE-2.0                                   #
#                                                                              #
# Unless required by applicable law or agreed to in writing, software          #
# distributed under the License is distributed on an "AS IS" BASIS,            #
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.     #
# See the License for the specific language governing permissions and          #
# limitations under the License.                                               #
# ---------------------------------------------------------------------------- #

Import('env')
import os

env['LIBS'] = "util"

env.Program('tty_expect.c')

=== src/um/test/SConstruct ===
# --------------------------------------------------------------------------
# Copyright 2002-2012, OpenNebula Project Leads (OpenNebula.org)
#
# Licensed under the Apache License, Version 2.0 (the "License"); you may
# not use this file except in compliance with the License. You may obtain
# a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
# --------------------------------------------------------------------------

Import('env')

env.Prepend(LIBS=[
    'nebula_core_test',
    'nebula_vmm',
    'nebula_lcm',
    'nebula_im',
    'nebula_hm',
    'nebula_rm',
    'nebula_dm',
    'nebula_tm',
    'nebula_um',
    'nebula_group',
    'nebula_authm',
    'nebula_acl',
    'nebula_mad',
    'nebula_template',
    'nebula_image',
    'nebula_pool',
    'nebula_host',
    'nebula_vnm',
    'nebula_vm',
    'nebula_vmtemplate',
    'nebula_common',
    'nebula_sql',
    'nebula_log',
    'nebula_xml',
    'crypto'
])

env.Program('test','UserPoolTest.cc')

=== src/vm/test/SConstruct ===
# -------------------------------------------------------------------------- 
# Copyright 2002-2012, OpenNebula Project Leads (OpenNebula.org)            
#                                                                          
# Licensed under the Apache License, Version 2.0 (the "License"); you may 
# not use this file except in compliance with the License. You may obtain   
# a copy of the License at                                               
#                                                                          
# http://www.apache.org/licenses/LICENSE-2.0                              
#                                                                           
# Unless required by applicable law or agreed to in writing, software      
# distributed under the License is distributed on an "AS IS" BASIS,       
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and    
# limitations under the License.                                        
# -------------------------------------------------------------------------- 

Import('env')

env.Prepend(LIBS=[
    'nebula_um',
    'nebula_vm',
    'nebula_hm',
    'nebula_vnm',
    'nebula_authm',
    'nebula_acl',
    'nebula_group',
    'nebula_template',
    'nebula_pool',
    'nebula_xml',
    'nebula_image',
    'nebula_mad',
    'nebula_common',
    'nebula_log',
    'nebula_core',
    'nebula_sql',
    'crypto'
])

env.Program('test','VirtualMachinePoolTest.cc')

=== debian/changelog ===
opennebula (3.2.1-2) unstable; urgency=low

  * Fix "Overwrites the admin password on upgrades": Merge proposed patch
    from Guido Günther. (Closes: #666050).
  * Fix "File conflict with opennebula 2.2.1-1": Add Breaks/Replaces on
    opennebula (<< 3.2.1-1~) (Closes: #665952).
  * Fix "oneacct does not look in system wide locations for require's":
    Backport upstream fix from bugID:1063 (Closes: #663075).
  * opennebula-node Recommends: openssh-server | ssh-server (Closes: #665948).
  * d/README.Debian: Update for new onehost syntax (Closes: #665975).
  * d/rules: Enable security hardening options and -Wl,--as-needed.

 -- Damien Raude-Morvan <drazzib@debian.org>  Sun, 01 Apr 2012 13:20:07 +0200

opennebula (3.2.1-1) unstable; urgency=low

  [ Jaime Melis ]
  * New upstream release (3.2.1)
    - New package structure (Closes: #611282)
    - Network drivers (Closes: #657323)
  * Create password after installation
  * Sunstone init script (Closes: #657032 and Closes: #657030)
  * Enable sunstone_system_jquery.diff
  * Explain usage of controller as node (Closes: #657981)

  [ Damien Raude-Morvan ]
  * d/control: Wrap-and-sort.
  * Add lintian-overrides for ruby-script-but-no-ruby-dep
    because ruby-opennebula already depends on ruby | ruby-interpreter.
  * d/copyright: Update to DEP-5 latest release and cleanup.
  * d/opennebula.install: Don't install OCCI UI yet (need more work for
    FHS compliance).
  * d/rules: Add override to cleanup some extra-license-file.

 -- Damien Raude-Morvan <drazzib@debian.org>  Wed, 22 Feb 2012 20:29:46 +0100

opennebula (3.2.0-1) UNRELEASED; urgency=low

  * New upstream release (3.2.0)
    - Refresh all other patches for changes made upstream.
    - Disable node_creation_help.diff for now.
    - Disable sunstone_system_jquery.diff for now.
  * d/opennebula.manpages: Use upstream manpages when available.

 -- Jaime Melis <jmelis@opennebula.org>  Thu, 19 Jan 2012 18:01:12 +0100

opennebula (3.0.0-1) UNRELEASED; urgency=low

  * New upstream release (3.0.0):
    - d/patches/0015-Fix-scons-tests-for-xml-rpc-c-with-gcc-4.6.patch,
    d/patches/0017-Fix-compilation-warnings-with-gcc4.6.patch: Drop, merged
    upstream.
    - Refresh all other patches for changes made upstream.
    - Disable node_creation_help.diff for now.
  * d/opennebula.manpages: Use upstream manpages when available.
  * d/opennebula{,-doc}.install: Old script from /usr/lib/one/remotes/
    and samples hooks, dropped.

 -- Damien Raude-Morvan <drazzib@debian.org>  Fri, 07 Oct 2011 19:58:12 +0200

=== debian/control ===
Source: opennebula
Section: utils
Priority: extra
Maintainer: Debian OpenNebula Maintainers <pkg-opennebula-devel@lists.alioth.debian.org>
Uploaders: Damien Raude-Morvan <drazzib@debian.org>,
           Soren Hansen <soren@ubuntu.com>,
           Jaime Melis <j.melis@fdi.ucm.es>
Build-Depends: bash-completion,
               bison,
               debhelper (>= 7.0.50~),
               default-jdk,
               flex,
               javahelper (>= 0.32),
               libmysql++-dev,
               libsqlite3-dev,
               libssl-dev,
               libws-commons-util-java,
               libxml2-dev,
               libxmlrpc-c++4-dev,
               libxmlrpc3-client-java,
               libxmlrpc3-common-java,
               libxslt1-dev,
               ruby,
               scons
Standards-Version: 3.9.2
Homepage: http://opennebula.org/
Vcs-Git: git://git.debian.org/pkg-opennebula/opennebula.git
Vcs-Browser: http://git.debian.org/?p=pkg-opennebula/opennebula.git

Package: opennebula
Architecture: any
Depends: apg,
         genisoimage,
         opennebula-tools (= ${source:Version}),
         wget,
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: mysql-server, ruby-amazon-ec2
Description: controller which executes the OpenNebula cluster services
 OpenNebula is an open source virtual infrastructure engine that enables the
 dynamic deployment and re-placement of virtual machines on a pool of physical
 resources.
 .
 ONE (OpenNebula) extends the benefits of virtualization platforms from a
 single physical resource to a pool of resources, decoupling the server not
 only from the physical infrastructure but also from the physical location.
 .
 This package contains OpenNebula Controller which manage all nodes in the
 cloud.

Package: opennebula-sunstone
Architecture: all
Depends: libjs-jquery,
         libjs-jquery-ui,
         opennebula-common (= ${source:Version}),
         ruby-json,
         ruby-opennebula (= ${source:Version}),
         ruby-sinatra,
         thin1.8,
         ${misc:Depends}
Description: web interface to which executes the OpenNebula cluster services
 OpenNebula is an open source virtual infrastructure engine that enables the
 dynamic deployment and re-placement of virtual machines on a pool of physical
 resources.
 .
 ONE (OpenNebula) extends the benefits of virtualization platforms from a
 single physical resource to a pool of resources, decoupling the server not
 only from the physical infrastructure but also from the physical location.
 .
 OpenNebula Sunstone is the new OpenNebula Cloud Operations Center,
 a GUI intended for users and admins, that will simplify the typical management
 operations in private and hybrid cloud infrastructures. You will be able to
 manage your virtual resources in a similar way as you do with the
 CLI.

Package: opennebula-common
Architecture: all
Depends: adduser, openssh-client, ${misc:Depends}
Recommends: lvm2, sudo (>= 1.7.2p1)
Description: empty package to create OpenNebula users and directories
 OpenNebula is an open source virtual infrastructure engine that enables the
 dynamic deployment and re-placement of virtual machines on a pool of physical
 resources.
 .
 ONE (OpenNebula) extends the benefits of virtualization platforms from a
 single physical resource to a pool of resources, decoupling the server not
 only from the physical infrastructure but also from the physical location.
 .
 This package sets up the basic directory structure and users needed to run
 an OpenNebula cloud.

Package: opennebula-node
Architecture: all
Depends: adduser,
         libvirt-bin | xen-utils-4.0,
         opennebula-common (= ${source:Version}),
         ruby,
         ${misc:Depends}
Recommends: openssh-server | ssh-server
Description: empty package to prepare a machine as OpenNebula Node
 OpenNebula is an open source virtual infrastructure engine that enables the
 dynamic deployment and re-placement of virtual machines on a pool of physical
 resources.
 .
 ONE (OpenNebula) extends the benefits of virtualization platforms from a
 single physical resource to a pool of resources, decoupling the server not
 only from the physical infrastructure but also from the physical location.
 .
 This package prepares the machine for being a node in an OpenNebula
 cloud.

Package: ruby-opennebula
Section: ruby
Architecture: all
Depends: ruby | ruby-interpreter,
         ruby-mysql,
         ruby-password,
         ruby-sequel,
         ruby-sqlite3,
         rubygems,
         ${misc:Depends},
         ${ruby:Depends}
Replaces: opennebula (<< 3.2.1-1~)
Breaks: opennebula (<< 3.2.1-1~)
Description: Ruby bindings for OpenNebula Cloud API (OCA)
 OpenNebula is an open source virtual infrastructure engine that enables the
 dynamic deployment and re-placement of virtual machines on a pool of physical
 resources.
 .
 ONE (OpenNebula) extends the benefits of virtualization platforms from a
 single physical resource to a pool of resources, decoupling the server not
 only from the physical infrastructure but also from the physical location.
 .
 This package provides the OpenNebula Cloud API (OCA) Ruby bindings.

Package: opennebula-tools
Architecture: all
Depends: opennebula-common (= ${source:Version}),
         ruby-opennebula (= ${source:Version}),
         ${misc:Depends},
         ${ruby:Depends}
Description: Command-line tools for OpenNebula Cloud
 OpenNebula is an open source virtual infrastructure engine that enables the
 dynamic deployment and re-placement of virtual machines on a pool of physical
 resources.
 .
 ONE (OpenNebula) extends the benefits of virtualization platforms from a
 single physical resource to a pool of resources, decoupling the server not
 only from the physical infrastructure but also from the physical location.
 .
 This package provides the OpenNebula CLI.

Package: libopennebula-java
Section: java
Architecture: all
Depends: ${java:Depends}, ${misc:Depends}
Description: Java bindings for OpenNebula Cloud API (OCA)
 OpenNebula is an open source virtual infrastructure engine that enables the
 dynamic deployment and re-placement of virtual machines on a pool of physical
 resources.
 .
 ONE (OpenNebula) extends the benefits of virtualization platforms from a
 single physical resource to a pool of resources, decoupling the server not
 only from the physical infrastructure but also from the physical location.
 .
 This package provides the OpenNebula Cloud API (OCA) Java bindings.

Package: libopennebula-java-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Recommends: ${java:Recommends}
Description: Java bindings for OpenNebula Cloud API (OCA) - documentation
 OpenNebula is an open source virtual infrastructure engine that enables the
 dynamic deployment and re-placement of virtual machines on a pool of physical
 resources.
 .
 ONE (OpenNebula) extends the benefits of virtualization platforms from a
 single physical resource to a pool of resources, decoupling the server not
 only from the physical infrastructure but also from the physical location.
 .
 This package provides the documentation (Javadoc API) and examples for
 OpenNebula Cloud API (OCA) Java bindings.

=== debian/rules ===
#!/usr/bin/make -f

# Handle group assignment: libvirt (Debian) and libvirtd (Ubuntu)
ifeq ($(shell dpkg-vendor --derives-from Ubuntu && echo yes),yes)
	LIB_VIRT_GROUP = libvirtd
else
	LIB_VIRT_GROUP = libvirt
endif

dpkg_buildflags = DEB_LDFLAGS_MAINT_APPEND="-Wl,--as-needed" dpkg-buildflags
# injecting CPPFLAGS to CFLAGS and CXXFLAGS
export CPPFLAGS:=$(shell $(dpkg_buildflags) --get CPPFLAGS)
export CFLAGS:=$(shell $(dpkg_buildflags) --get CFLAGS) $(CPPFLAGS)
export CXXFLAGS:=$(shell $(dpkg_buildflags) --get CXXFLAGS) $(CPPFLAGS)
export LDFLAGS:=$(shell $(dpkg_buildflags) --get LDFLAGS)

%:
	dh $@ --with javahelper --with bash-completion

override_dh_auto_build:
	scons  mysql=yes #parsers=yes
	(cd src/oca/java/; \
	ln -s /usr/share/java/xmlrpc-common-3.1.jar lib/; \
	ln -s /usr/share/java/xmlrpc-client-3.1.jar lib/; \
	ln -s /usr/share/java/ws-commons-util.jar lib/; \
	./build.sh -d)

override_dh_auto_install:
	DESTDIR=dist ./install.sh
	dh_auto_install
ifneq (,$(filter opennebula-node, $(shell dh_listpackages)))
	dh_install -p opennebula-node debian/opennebula-node.sudoers /etc/sudoers.d
	mv debian/opennebula-node/etc/sudoers.d/opennebula-node.sudoers \
	   debian/opennebula-node/etc/sudoers.d/opennebula-node
endif
ifneq (,$(filter opennebula, $(shell dh_listpackages)))
	dh_install -p opennebula share/etc/init.d/one.debian /etc/init.d
	mv debian/opennebula/etc/init.d/one.debian \
	   debian/opennebula/etc/init.d/opennebula
	dh_installinit -p opennebula --name=opennebula --onlyscripts
endif
ifneq (,$(filter opennebula-sunstone, $(shell dh_listpackages)))
	dh_installinit -p opennebula-sunstone --name=sunstone
endif

override_dh_install:
	dh_install
ifneq (,$(filter opennebula, $(shell dh_listpackages)))
	rm debian/opennebula/usr/share/opennebula/ozones/public/vendor/dataTables/BSD-LICENSE.txt
endif
ifneq (,$(filter opennebula-sunstone, $(shell dh_listpackages)))
	dh_installinit -p opennebula-sunstone --name=sunstone
	rm debian/opennebula-sunstone/usr/share/opennebula/sunstone/public/vendor/dataTables/BSD-LICENSE.txt
	rm debian/opennebula-sunstone/usr/share/opennebula/sunstone/public/vendor/flot/LICENSE.txt
endif

override_dh_auto_clean:
	dh_auto_clean
	rm -rf dist/
	scons --clean .
	(cd src/oca/java/; \
	rm lib/xmlrpc-common-3.1.jar; \
	rm lib/xmlrpc-client-3.1.jar; \
	rm lib/ws-commons-util.jar; \
	rm -rf jar/; rm -rf share/doc/; \
	./build.sh -c)
	-rm -Rf .scons_temp
	-rm -Rf share/scons/lex_bison.pyc \
		src/nebula/.xmlrpc_test/xmlrpc_test.* \
		src/scheduler/.xmlrpc_test/xmlrpc_test.* \
		src/scheduler/src/sched/.xmlrpc_test \
		.xmlrpc_test
	-rm -Rf debian/opennebula-node.postinst

override_dh_installdeb:
ifneq (,$(filter opennebula-node, $(shell dh_listpackages)))
	sed "s/@LIBVIRTGRP@/${LIB_VIRT_GROUP}/g" debian/opennebula-node.postinst.in > debian/opennebula-node.postinst
endif
	dh_installdeb

override_dh_fixperms:
	dh_fixperms
ifneq (,$(filter opennebula, $(shell dh_listpackages)))
	find debian/opennebula/etc/one/ -type f -exec chmod 644 {} \;
	chmod 644 debian/opennebula/usr/lib/one/ruby/cloud/occi/*.rb
	chmod 644 debian/opennebula/usr/lib/one/ruby/cloud/CloudServer.rb
	chmod 644 debian/opennebula/usr/share/opennebula/ozones/public/vendor/jGrowl/jquery.jgrowl.css
	#chmod 755 debian/opennebula/usr/lib/one/remotes/im/common.d/ssh_pubkey.sh
endif
ifneq (,$(filter opennebula-tools, $(shell dh_listpackages)))
	chmod 755 debian/opennebula-tools/usr/lib/one/ruby/cloud/econe/EC2QueryClient.rb
	chmod 755 debian/opennebula-tools/usr/lib/one/ruby/cloud/occi/OCCIClient.rb
endif
ifneq (,$(filter opennebula-node, $(shell dh_listpackages)))
	chmod 0440 debian/opennebula-node/etc/sudoers.d/opennebula-node
endif
ifneq (,$(filter opennebula-sunstone, $(shell dh_listpackages)))
	chmod 755 debian/opennebula-sunstone/usr/share/opennebula/sunstone/config.ru
endif

get-orig-source:
	uscan --force-download --no-symlink
